Page MenuHomePhabricator

Move tools-master and tools-shadow to trusty
Closed, ResolvedPublic

Description

Because!

Would need a fair bit of testing, I suppose. We are already running a fairly 'mixed' environment (precise and trusty exec hosts, with a precise master / shadow)

Event Timeline

yuvipanda raised the priority of this task from to Normal.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Toolforge.
yuvipanda added subscribers: faidon, Aklapper, coren and 2 others.
coren added a comment.Apr 2 2015, 2:43 AM

Thankfully, that shouldn't be /too/ hard thanks to the master/shadow setup. Reinstalling shadow as Trusty, then forcibly switching over to test seems like the simplest approach.

scfc moved this task from Triage to Backlog on the Toolforge board.Apr 6 2015, 8:19 AM
Sitic added a subscriber: Sitic.Jun 23 2015, 7:19 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 23 2015, 7:19 PM
coren closed this task as Resolved.Jun 23 2015, 7:25 PM
coren claimed this task.

Doing simultaneously with the parent ticket (that is, the new tools-shadow-01 is constructed with Trusty from the start)

yuvipanda reopened this task as Open.Sep 21 2015, 5:24 PM

Let's close this when it is actually trusty

coren added a comment.Dec 3 2015, 9:19 PM

tools-grid-shadow is now on Trusty and happily chugging along as a shadow master. Once it's tested as being able to take over as master, I'll create a new master node in Trusty too.

coren added a comment.Dec 4 2015, 4:28 PM

tools-grid-shadow is now the active master, and seems to be running without issues. I'm going to give it a little while then create the new (trusty) master.

coren added a comment.EditedDec 4 2015, 7:38 PM

tools-grid-master is now the active master and tools-grid-shadow has resumed its role as shadow master.

There is an apparent lingering issue (almost certainly Trusty-based) that the service start invocation for gridengine-shadow hangs (even though the daemon itself works fine). It looks like the systemd unit expects a fork() that never comes.

coren added a comment.Dec 4 2015, 8:55 PM

The original masters (tools-master and tools-shadow) have been turned off but not yet deleted to monitor how things go over the weekend.

coren closed this task as Resolved.Dec 7 2015, 1:47 PM

The new masters are happy on Trusty; the old ones have been deleted.